import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const cityGetHatchingInfo = createAsyncThunk(
  "CITY_GET_HATCHING_INFO",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "/hatching-for-dashboard/?type=date-dashboard",
      {
        params: {
          date1: d.selectedDate1,
          date2: d.selectedDate2,
          role: getRoleFromUrl(),
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
